
package com.ora.intl.ime;
import java.awt.Image;
import java.awt.im.spi.InputMethod;
import java.awt.im.spi.InputMethodDescriptor;
import java.util.Locale;

public class SimpleInputMethodDescriptor implements InputMethodDescriptor {
  private static Locale HEBREW = new Locale("iw", "IL");
    public SimpleInputMethodDescriptor() {
  }

  public InputMethod createInputMethod() throws Exception {
    return new SimpleInputMethod();
  }

  // This input method supports only one locale.
  public Locale[] getAvailableLocales() {
    Locale[] locales = { HEBREW };
    return locales;
  }

  public boolean hasDynamicLocaleList() {
    return false;
  }

  public String getInputMethodDisplayName(Locale inputLocale,
                                          Locale displayLanguage) {
    // Make it simple. Ignore the parameters and simply return the
    // same name, independent of locale.
    return "Hebrew Input Method";
  }

  public Image getInputMethodIcon(Locale inputLocale) {
    return null;
  }
}

