package com.ora.intl.ime.arabichebrewim;

import java.awt.Image;
import java.awt.im.spi.InputMethod;
import java.awt.im.spi.InputMethodDescriptor;
import java.util.Locale;

public class ArabicHebrewInputMethodDescriptor implements InputMethodDescriptor{
  private static Locale HEBREW = new Locale("iw", "IL");
  private static Locale ARABIC = new Locale("ar", "");
  
  public ArabicHebrewInputMethodDescriptor() {
  }

  public Locale[] getAvailableLocales() {
    Locale[] locales = { ARABIC, HEBREW };
    return locales;
  }

  public boolean hasDynamicLocaleList() {
    return false;
  }

  public InputMethod createInputMethod() throws Exception {
    return new ArabicHebrewInputMethod();
  }

  public String getInputMethodDisplayName(Locale inputLocale,
    Locale displayLanguage) {
    return "Arabic-Hebrew Input Method";
  }

  public Image getInputMethodIcon(Locale inputLocale) {
    return null;
  }
}
